
QGIS Application - Bug report #9710

r.surf.fractal fails with 'dyld: Library not loaded: /usr/local/lib/libfftw3.3.dylib'

2014-03-04 07:11 AM - Bud Huff

Status: Closed

Priority: Normal

Assignee: William Kyngesburye

Category: GRASS

Affected QGIS version:2.2.0 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 18273

Description

The r.surf.fractal GRASS tool is looking for libfftw3.3.dylib, but the QGIS application package contains libfftw3.dylib.  So the command

fails.

Whole message:

Cannot start module r.surf.fractal

DYLD_LIBRARY_PATH=

QGIS_PREFIX_PATH=

command: /Applications/QGIS.app/Contents/MacOS/grass/bin/r.surf.fractal --interface-description

dyld: Library not loaded: /usr/local/lib/libfftw3.3.dylib Referenced from: /Applications/QGIS.app/Contents/MacOS/grass/bin/r.surf.fractal

Reason: image not found

History

#1 - 2014-03-05 12:59 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version deleted (Version 2.2)

Does the same tool works as expected when used in native GRASS (with GUI or CLI)?

#2 - 2014-03-05 03:22 AM - Bud Huff

Yes, the GRASS  6.4 GUI works.  I checked its app package and it has the 3.3 lib in the bundle.

#3 - 2014-03-05 03:26 AM - Giovanni Manghi

Bud Huff wrote:

Yes, the GRASS  6.4 GUI works.  I checked its app package and it has the 3.3 lib in the bundle.

So under Mac QGIS uses a different grass installation?

#4 - 2014-03-05 03:28 AM - Bud Huff

Yes, a version of GRASS is included in the QGIS app bundle.
#5 - 2014-03-05 11:30 AM - Giovanni Manghi

Bud Huff wrote:

Yes, a version of GRASS is included in the QGIS app bundle.

so if GRASS is the same (so are the underlying libraries) why in one place it gives error and in the other no? weird.

Can you please test this module from the CLI? better test both the native GRASS cli and the CLI available in qgis/grass plugin, thanks.

#6 - 2014-03-05 12:18 PM - Bud Huff

You didn't understand me.  The QGIS app has the wrong libfftw in the GRASS subcomponent incorporated into it's bundle.  The separate GRASS app has

the correct libfftw in it's bundle.  There is no system wide libfftw.

#7 - 2014-03-05 12:23 PM - Giovanni Manghi

Bud Huff wrote:

You didn't understand me.  The QGIS app has the wrong libfftw in the GRASS subcomponent incorporated into it's bundle.  The separate GRASS

app has the correct libfftw in it's bundle.  There is no system wide libfftw.

you downloaded and installed the packages from here?

http://www.kyngchaos.com/software/qgis

if yes then it should not be a qgis issue, as GRASS it is not bundled with qgis, it is a separate package. Am I wrong?

#8 - 2014-03-05 12:32 PM - Bud Huff

Yes, downloaded from kyngchaos.

From his download page:

*QGIS now includes its own copy of GRASS, so no external GRASS is needed. Internal copies of Orfeo Toolbox, SAGA and TauDEM are also included.*

#9 - 2014-03-05 12:35 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Assignee set to William Kyngesburye

- Target version set to Version 2.4

Bud Huff wrote:

Yes, downloaded from kyngchaos.

From is download page:

*QGIS now includes its own copy of GRASS, so no external GRASS is needed. Internal copies of Orfeo Toolbox, SAGA and TauDEM are also

included.*
ok, didn't noticed it.

#10 - 2014-03-05 04:49 PM - William Kyngesburye

- Resolution set to invalid

- Status changed from Open to Closed

- Target version changed from Version 2.4 to Version 2.2

Packaging problem, I missed something.  I'll have it fixed in an update soon.

I'm marking this as invalid, because it really has nothing to do with the standard Mac bundling that's in the source, it's my own packaging customization.

#11 - 2014-03-06 03:25 AM - Bud Huff

Thanks.

#12 - 2014-03-11 05:13 AM - Bud Huff

r.surf.fractal now works on your 2.2 -8 build.  Thanks.
